/* Site-wide CSS file */
body {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 9pt;
  line-height: 14pt;
  margin: 0;
}

.listNoBullet li {
  list-style-type: none;
}

pre {
  background-color: #F6F6F6;
  padding-top: 0.585vw;
  padding-left: 0.732vw;
  width: 100%;
}
@media (min-width: 651px) {
  pre {
    font-size: 7pt;
  }
}
@media (min-width: 767px) {
  pre {
    font-size: 8pt;
  }
}
@media (min-width: 850px) {
  pre {
    font-size: 9pt;
  }
}
@media (min-width: 1000px) {
  pre {
    font-size: 10pt;
  }
}
@media (max-width: 650px) {
  pre {
    font-size: 6pt;
  }
}

.spacing {
  margin-right: 6px;
}

table.zeroSize {
  border-spacing: 0;
  padding: 0;
  width: 100%;
}

/************** Main Content Area **************/
.contentArea {
  margin-top: 80px; 
  margin-left: auto;
  margin-right: auto;
  padding-bottom: 80px;
}
@media (max-width: 979px) {
  .contentArea {
    max-width: none; /* header gets shorter below this width. */
    margin-top: 40px;
    padding-right: 15px;
    padding-left: 15px;
    padding-bottom: 28px; /* footer unfixes below this width. */
  }
}

/* Content area for use with headerFixedApp on App pages. */
.contentAreaApp {
  background-color: #faf9f6;
  font-size: 10pt;
  margin-top: 40px;
}
@media (max-width: 979px) {
  .contentAreaApp {
    max-width: none;
  }
}

/* Content area for use with a special form. */
.contentAreaForm {
  display: flex;
  background-color: #faf9f6;
  font-size: 10pt;
  height: 100%;
  margin-top: 73px;
  margin-left: auto;
  margin-right: auto;
}
@media (max-width: 979px) {
  .contentAreaForm {
    max-width: none; /* header gets shorter below this width. */
    margin-top: 40px;
    padding-bottom: 28px; /* footer unfixes below this width. */
  }
}

/************** Header **************/
.headerFixed {
  background-color: #216f39;
  border-bottom: 1px solid #196939;
  border-spacing: 0;
  position: fixed;
  table-layout: fixed;
  width: 100%;
  top: 0;
  z-index: 6;
}
.headerFixed td {
  padding: 0px;
}
.headerFixed td.logo {
  width: 88px;
  height: 72px;
  line-height: 12pt;
  text-align: center;
  vertical-align: bottom;
}
.headerFixed .logo img {
  width: 64px;
  height: 64px;
  border: 0;
}
@media (max-width: 979px) {
  .headerFixed td.logo {
    width: 54px;
    height: 43px;
  }
  .headerFixed .logo img {
    width: 34px;
    height: 34px;
  }  
}
.headerSiteLink {
  color: #fefefe;
  font-family: Arial, Helvetica, sans-serif;
  font-size: 12pt;
  line-height: 15pt;
  text-decoration: none;
}
.headerLink {
  color: #fefefe;
  font-family: Arial, Helvetica, sans-serif;
  font-size: 10pt;
  /*line-height: 15pt;*/
  text-decoration: none;
}
.headerTitle {
  color: #fffbb0;
  font-family: Arial, Helvetica, sans-serif;
  font-size: 11pt;
  line-height: 14pt;
  margin-left: 7px;
  /*
  text-shadow:
    1px 1px 1px #100,
    -1px -1px 0px #958768,
    0px 0px 1px #f0d040;
  */
}
.headerTitleCenter {
  color: #fffbb0;
  font-family: Arial, Helvetica, sans-serif;
  font-size: 11pt;
  line-height: 14pt;
  text-align: center;
  /*
  text-shadow:
    1px 1px 1px #100,
    -1px -1px 0px #958768,
    0px 0px 1px #f0d040;
    */
}
@media (max-width: 979px) {
  .headerTitleCenter {
    display: none;
  }
}
.headerUserArea {
  min-width: 300px;
  padding-right: 12px !important;
  text-align: right; 
  vertical-align: middle;
}
.headerUserSlot {
  color: #fffff0; 
  display: inline-block;
  font-size: 10pt;
  line-height: 6px; 
}
.headerLoginSlot {
  font-size: 10pt;
}

/* In App pages, the header is always thin. */
.headerFixedApp {
  background-color: #216f39;
  border-bottom: 1px solid #196939;
  border-spacing: 0;
  position: fixed;
  table-layout: fixed;
  width: 100%;
  top: 0;
  z-index: 6;
}
.headerFixedApp td {
  padding: 0px;
}
.headerFixedApp td.logo {
  width: 54px;
  height: 43px;
  line-height: 12pt;
  text-align: center;
  vertical-align: bottom;
}
.headerFixedApp .logo img {
  width: 34px;
  height: 34px;
  border: 0;
}


/************** News *****************/
.newsContent {
  background-color: #fdfcf8;
  justify-content: center;
  margin-top: 80px; 
  margin-left: auto;
  margin-right: auto;
  padding-bottom: 80px;
  padding-left: 7px;
  padding-right: 7px;
}
.newsContent table {
  max-width: 100%;
  overflow-x: auto;
}
@media (min-width: 768px) {
  .newsContent {
     width: 750px;
  }
}
@media (min-width: 992px) {
  .newsContent {
    width: 910px;
  }
}
@media (max-width: 979px) {
  .newsContent {
    max-width: none; /* header gets shorter below this width. */
    margin-top: 48px;
    padding-right: 12px;
    padding-left: 12px;
    padding-bottom: 28px; /* footer unfixes below this width. */
  }
  /* stack columns on mobile */
  .newsContent td {
    display: block !important;
    width: 100% !important;
  }
}

/************** Help Files **************/
.helpContent {
  background-color: #fefefe;
  display: flex;
  font-size: 12pt;
  line-height: 14pt;
  justify-content: center;
  margin-top: 80px; 
  margin-left: auto;
  margin-right: auto;
  padding-bottom: 80px;
  padding-left: 7px;
  padding-right: 7px;
}
.helpContent p.indent {
  font-size: 11pt;
  text-indent: -1em;
  margin-left: 1em;
}
.helpContent table {
  max-width: 100%;
  overflow-x: auto;
}
@media (min-width: 768px) {
  .helpContent {
     width: 750px;
  }
}
@media (min-width: 992px) {
  .helpContent {
    width: 970px;
  }
}
/*
@media (min-width: 1200px) {
  .helpContent {
    width: 1170px;
  }
}*/
@media (max-width: 979px) {
  .helpContent {
    max-width: none; /* header gets shorter below this width. */
    margin-top: 48px;
    padding-right: 12px;
    padding-left: 12px;
    padding-bottom: 28px; /* footer unfixes below this width. */
  }
  /* stack columns on mobile */
  .helpContent td {
    display: block !important;
    width: 100% !important;
  }
  .helpContent ul {
    margin-left: 15px;
    padding-left: 15px;   
  }
}

.helpContent a:hover {
  color: #f18000;
}
.helpContent a {
  text-decoration: none;
  color: #101070;
}
.helpHeader {
  background-color: #f0f0f0;
  color: #002036;
  font-size: 13pt;
  line-height: 14pt;
  padding: 10px 0px 10px 8px;
  border: 1px solid #dbdbdb;
}
.helpSubheading {
  margin-top: 8px;
  font-size: 12pt;
  line-height: 15pt;
}
.helpContentCell {
  font-size: 12pt;
  padding-left: 20px;
  padding-right: 20px;
  padding-bottom: 20px;
  vertical-align: top;
}
.helpContentCellTop {
  font-size: 12pt;
  padding-left: 20px;
  padding-right: 20px;
  vertical-align: top;
}
.helpContentCell li, .helpContentCellTop li {
  margin-bottom: 15px;
}
@media (max-width: 979px) {
  .helpContentCell, .helpContentCellTop {
    padding-left: 8px;
    padding-right: 8px;
  }
}
.helpSectionHeader img {
  vertical-align: text-bottom;
}
.helpSectionHeader span {
  font-size: 11pt;
  font-weight: bold;
  vertical-align: middle;
}
.helpSection {
  font-size: 11pt;
  padding-left: 20px;
}
@media (max-width: 979px) {
  .helpSection {
    padding-left: 12px;
  }
}
.helpText {
  font-size: 11pt;
}
.helpListTight li, .helpTight {
  margin-bottom: 0;
}
.helpWell {
  background-color: #f2f2f2;
  padding: 20px;
}
@media (max-width: 979px) {
  .helpWell {
    padding: 8px;
  }
}
.helpAnchor {
   position: absolute;
   margin: -90px;
}
@media (max-width: 979px) {
  .helpAnchor {
     margin: -60px;
  }
}
.helpImage {
  margin-top: 18px;
  margin-bottom: 24px;
  text-align: center;
  font-size: 9pt;
}
@media (max-width: 979px) {
  .helpImage img {
    max-width: 350px;
  }
}
.helpUpdatedDate {
  font-size: 11pt;
  text-align: right;
  color: #706060;
}
.helpHighlight {
  color: #007030;
  font-weight: bold;
}
.helpHighlightSection {
  background-color: yellow;
}
.releaseNote  {
  font-size: 11pt;
  margin-top: 12px;
}
.releaseItem {
  margin-top: 2px;
  margin-left: 1em;
}
.releaseItem ul {
  padding-left: 20px;
}
@media (max-width: 979px) {
  .releaseItem ul {
      padding-left: 0;
  }
}

.helpCriteriaTable {
  width: 100%;
}
.helpCriteriaTable table {
  border: none;
  height: 100%;
  width: 100%;
  margin-left: 12px;
  margin-bottom: 15px;
  table-layout: fixed;
  border-collapse: separate;
  border-spacing: 2px;
  text-align: left;
}
.helpCriteriaTable th {
  border: none;
  padding-bottom: 10px;
  height: fit-content;
  vertical-align: top;
}
.helpCriteriaTable th.label {
  color: #404740;
}
.helpCriteriaTable th.content {
  font-weight: normal;
} 
.helpCriteriaTable td {
  border: none;
  background-color: #ffffff;
  color: #000000;
  padding-left: 3px;
  padding-bottom: 10px;
  vertical-align: top;
}
.helpCriteriaTable td.highlight {
  background-color: #fcfbd7;
  border-bottom: 1px solid #e8eaca;
  font-style: italic;
  padding: 3px 3px 0px 20px;
}
@media (max-width: 979px) {
  .helpCriteriaTable {
    width: 90%;
  }  
  /* stack columns on mobile */
  .helpCriteriaTable td, th {
    display: block !important;
    width: 100% !important;
  }
}
.helpMessage {
  color: #573510;
}
.helpRolesTable table {
  color: black;
  background-color: #d0d0d0;
  font-size: 10pt;
  table-layout: fixed;
  width: 100%;
}
.helpRolesTable th {
  background-color: #00b0b0;
  text-align: center;
}
.helpRolesTable td {
  background-color: white;
}
.helpRolesTable td.gray {
  background-color: #f1f1f1;
}

.helpFieldsTable table {
  color: black;
  background-color: white;
  border: 1px solid gray;
  font-size: 10pt;
  line-height: 12pt;
  width: 100%;
}
.helpFieldsTable th {
  background-color: #f1f1f1;
  border: 1px solid gray;
  font-weight: bold;
  text-align: left;
  padding: 3px;
}
.helpFieldsTable td {
  border: 1px solid gray;
  padding: 3px;
}


/************** very basic tabs **************/
.tabLink {
  align-items: center;
  border-bottom-color: #dbdbdb;
  border-bottom-style: solid;
  border-bottom-width: 1px;
  color: #4a4a4a;
  display: flex;
  justify-content: center;
  margin-bottom: -1px;
  padding: 0.5em 1em;
  vertical-align: top;  
}

.tabLink:hover {
  border-bottom-color: #363636;
  color: #363636;  
}

.tabLink.isActive { 
  border-bottom-color: #3273dc;
  color: #3273dc;  
}


/************** footer **************/
.footer-fixed {
  position: fixed;
  left: 0;
  bottom: 0;
  z-index: 13;
}
@media (max-width: 979px) {
  /* unfix the footer on a small screen. */
  .footer-fixed {
    position: static;
  }
}
footer {
  background-color: #216f39;
  color: #fffdc7;
  font-family: Arial, Helvetica, sans-serif;
  font-size: 13px;
  font-weight: normal;
  line-height: 14pt;
  text-align: center;
  padding-top: 1.2rem;
  padding-bottom: 1.2rem;
  width: 100%;
}
footer span {
  margin: 0;
}
footer span + span::before {
  margin-left: 0.5rem;
  margin-right: 0.5rem;
  content: '\2022';
}
footer span a {
  color: #fffdc7;
  text-decoration: none;
  text-transform: uppercase;
  font-size: 14px;
  transition: color 0.3s; /* Smooth color change on hover */
}
footer span a:hover {      
  color: #f0d040;
}
footer span.noselect {
  user-select: none;
}
